//
//  AGUpdateTrack.h
//  AraeliumUpdate
//
//  Created by Seth Willits on 5/29/19.
//  Copyright © 2019 Araelium Group. All rights reserved.
//

#import <Foundation/Foundation.h>
@class AGUpdate;
@class AGUpdatePost;

NS_ASSUME_NONNULL_BEGIN

@interface AGUpdateTrack : NSObject

@property (readonly, copy) NSString * name;
@property (readonly, copy) NSArray<AGUpdate *> * updates;
@property (readonly, copy) NSArray<AGUpdatePost *> * posts;

- (nullable instancetype)initWithName:(NSString *)name updates:(NSArray *)updates posts:(NSArray *)posts;

@property (readonly, nullable) AGUpdate * recommendedUpdate;
- (AGUpdate * _Nullable)recommendedUpdateBefore:(NSDate *)date;

/// No posts older than 30 days
@property (readonly) NSArray<AGUpdatePost*> * recentPosts;

/// Recent posts which have not been handled
@property (readonly) NSArray<AGUpdatePost*> * recommendedPosts;

- (NSDictionary * _Nullable)postsCheckInfo;
- (void)updatePostsCheckInfoToHandlePosts:(NSArray<AGUpdatePost*> *)posts;

@end

NS_ASSUME_NONNULL_END
